Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# PIDData Class Reference

PID data set. More...

`#include <PIDData.h>`

List of all members.

## Public Member Functions
| PIDData ()
| Default constructor.
PIDData & | operator= (const PIDData &other)
| Assignment operator.
| PIDData (const PIDData &other)
| Copy constructor.
void | setValues (JointData::JointID joint, int ap, int ai, int ad)
| set the values for one joint
void | setToDefaults ()
void | setHeadToDefaults (bool neckTilt=true, bool headPan=true, bool headTilt=true, bool mouth=true, bool earL=true, bool earR=true)
void | setLegFJ1Values (int ap, int ai, int ad)
| set the values for two leg joints
void | setLegHJ1Values (int ap, int ai, int ad)
void | setLegFJ2Values (int ap, int ai, int ad)
void | setLegHJ2Values (int ap, int ai, int ad)
void | setLegFJ3Values (int ap, int ai, int ad)
void | setLegHJ3Values (int ap, int ai, int ad)
## Public Attributes
int | p [JointData::numOfJoint]
| The pid servo gain values.
int | i [JointData::numOfJoint]
int | d [JointData::numOfJoint]

## Detailed Description

PID data set.

Containing servo gain values for all used joints.

Author:
  Max Risler

Definition at line 19 of file PIDData.h.

## Constructor & Destructor Documentation

PIDData::PIDData | ( |  | ) |

| Default constructor. Definition at line 13 of file PIDData.cpp. References setToDefaults().

Here is the call graph for this function:

PIDData::PIDData | ( | const PIDData & | other | ) |

| Copy constructor. Definition at line 29 of file PIDData.cpp.

## Member Function Documentation

PIDData & PIDData::operator= | ( | const PIDData & | other | ) |

| Assignment operator. Definition at line 18 of file PIDData.cpp. References d, i, and p.

void PIDData::setValues | ( | JointData::JointID | joint,
|  | int | ap,
|  | int | ai,
|  | int | ad
| ) |

| set the values for one joint Definition at line 81 of file PIDData.cpp. Referenced by setLegFJ1Values(), setLegFJ2Values(), setLegFJ3Values(), setLegHJ1Values(), setLegHJ2Values(), setLegHJ3Values(), and MotionNetNode::toPIDData().

void PIDData::setToDefaults | ( |  | ) |

| Definition at line 60 of file PIDData.cpp. References getRobotConfiguration(), and RobotConfiguration::getRobotDesign(). Referenced by WakeUpEngine::execute(), GT2005HeadControl::execute(), and PIDData().

Here is the call graph for this function:

void PIDData::setHeadToDefaults | ( | bool | neckTilt = true,
|  | bool | headPan = true,
|  | bool | headTilt = true,
|  | bool | mouth = true,
|  | bool | earL = true,
|  | bool | earR = true
| ) |

| Definition at line 34 of file PIDData.cpp. References getRobotConfiguration(), and RobotConfiguration::getRobotDesign().

Here is the call graph for this function:

void PIDData::setLegFJ1Values | ( | int | ap,
|  | int | ai,
|  | int | ad
| ) |

| set the values for two leg joints Definition at line 88 of file PIDData.cpp. References setValues(). Referenced by GT2005WalkingEngine::executeParameterized(), and GT2004WalkingEngine::executeParameterized().

Here is the call graph for this function:

void PIDData::setLegHJ1Values | ( | int | ap,
|  | int | ai,
|  | int | ad
| ) |

| Definition at line 94 of file PIDData.cpp. References setValues(). Referenced by GT2005WalkingEngine::executeParameterized(), and GT2004WalkingEngine::executeParameterized().

Here is the call graph for this function:

void PIDData::setLegFJ2Values | ( | int | ap,
|  | int | ai,
|  | int | ad
| ) |

| Definition at line 100 of file PIDData.cpp. References setValues(). Referenced by GT2005WalkingEngine::executeParameterized(), and GT2004WalkingEngine::executeParameterized().

Here is the call graph for this function:

void PIDData::setLegHJ2Values | ( | int | ap,
|  | int | ai,
|  | int | ad
| ) |

| Definition at line 106 of file PIDData.cpp. References setValues(). Referenced by GT2005WalkingEngine::executeParameterized(), and GT2004WalkingEngine::executeParameterized().

Here is the call graph for this function:

void PIDData::setLegFJ3Values | ( | int | ap,
|  | int | ai,
|  | int | ad
| ) |

| Definition at line 112 of file PIDData.cpp. References setValues(). Referenced by GT2005WalkingEngine::executeParameterized(), and GT2004WalkingEngine::executeParameterized().

Here is the call graph for this function:

void PIDData::setLegHJ3Values | ( | int | ap,
|  | int | ai,
|  | int | ad
| ) |

| Definition at line 118 of file PIDData.cpp. References setValues(). Referenced by GT2005WalkingEngine::executeParameterized(), and GT2004WalkingEngine::executeParameterized().

Here is the call graph for this function:

## Member Data Documentation

int PIDData::p[JointData::numOfJoint]

| The pid servo gain values. Definition at line 24 of file PIDData.h. Referenced by WakeUpEngine::execute(), GT2005MotionControl::execute(), operator<<(), operator=(), operator>>(), WakeUpEngine::start(), and MotionNetNode::toPIDData().

int PIDData::i[JointData::numOfJoint]

| Definition at line 25 of file PIDData.h. Referenced by WakeUpEngine::execute(), GT2005MotionControl::execute(), operator<<(), operator=(), operator>>(), WakeUpEngine::start(), and MotionNetNode::toPIDData().

int PIDData::d[JointData::numOfJoint]

| Definition at line 26 of file PIDData.h. Referenced by WakeUpEngine::execute(), GT2005MotionControl::execute(), operator<<(), operator=(), operator>>(), WakeUpEngine::start(), and MotionNetNode::toPIDData().

The documentation for this class was generated from the following files:

- Representations/Motion/PIDData.h
- Representations/Motion/PIDData.cpp